<!-- IGAC proyecto SNC 

@author 		juan.agudelo
@version 		2.0
@description	Pantalla que muestra el detalle de una solicitud de nuevo documento
@cu 			CU-CO-R-01
@param			managedBeanParam: 		Nombre del ManagedBean del que se obtendran los parametros 
@param			selectedTramiteParam:	Objeto del tipo documento que se adicionara a la lista de documentos 
                                        adicionales solicitados
@param			selectedDocumentParam	Objeto del tipo documento que almacena la informacion del documento de pruebas
                                                                                
@modified lorena.salamanca Se actualiza para la migracion de PrimeFaces 3.2

@modified franz.gamba Se realizaron los ajustes segun la redefinicion del caso de Uso

-->

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" columns="2">

    <style>
        .fileinput-button { overflow: visible; }
    </style>
    <p:spacer height="10" />
    <h:panelGrid columns="1" cellpadding="4" style="margin:0 auto;">


        <h:form id="documentacionForm2" enctype="multipart/form-data">

            <h:panelGrid columns="3" cellspacing="7">
                <h:outputText value="Documento soporte: "
                              styleClass="outputLabelStyle" />
                <p:spacer height="0" width="20" />
                <p:fileUpload id="fu" label="Cargar documento"
                              fileUploadListener="#{managedBeanParam.archivoUpload}"
                              dragDropSupport="true"
                              invalidFileMessage="Formato de documento no permitido"
                              invalidSizeMessage="El archivo seleccionado supera el tamaño permitido"
                              widgetVar="uploader" mode="advanced" auto="true"
                              sizeLimit="#{general.maximoTamanoAdjuntos}"
                              allowTypes="/(\.|\/)(pdf|tif|dwg|png|jp[e]?g)$/"
                              update="fu, :documentacionForm:msgs, :documentacionForm:outputPanelGuardar" />
            </h:panelGrid>
        </h:form>

        <p:separator />
        <h:form id="documentacionForm" prependId="false">
            <p:messages id="msgs" />

            <h:panelGrid columns="4">

                <h:panelGrid columns="2">
                    <h:outputLabel value="Número de radicado en correspondencia:"
                                   for="noRadicado" styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGrid>
                <h:panelGrid columns="2">
                    <h:inputText id="noRadicado"
                                 value="#{selectedDocumentParam.numeroRadicacion}" required="true"
                                 label="Número de radicado en correspondencia" size="37" />
                    <p:message for="noRadicado" display="icon"></p:message>
                </h:panelGrid>

                <p:commandButton value="Validar radicado"
                                 action="#{managedBeanParam.buscarRadicadoEnCorrespondecia}"
                                 update=":documentacionForm, panelDatos, msgs" icon="ui-icon-search" />
            </h:panelGrid>
            <p:separator />
            <h:panelGrid columns="4" id="panelDatos"
                         rendered="#{managedBeanParam.banderaDocumentoEncontradoEnCorrrespondencia}">

                <h:panelGrid columns="1">
                    <h:outputLabel value="Entidad o Grupo Interno de Trabajo (GIT):"
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="" styleClass="requiredLabelStyle" />
                </h:panelGrid>
                <h:panelGrid columns="1">					
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{managedBeanParam.selectedEntidadPruebas.nombreCompletoEntidad}"/>
                </h:panelGrid>

                <h:panelGrid columns="1">
                    <h:outputLabel value="Fecha de radicación:" for="fechaTitulo"
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="" styleClass="requiredLabelStyle" />
                </h:panelGrid>
                <h:panelGrid columns="2">
                    <p:calendar id="fechaTitulo" disabled="true"
                                value="#{selectedDocumentParam.fechaRadicacion}"
                                label="Fecha de radicación" required="false" effect="explode"
                                navigator="true"
                                pattern="#{general.formatoFecha}" showOn="both"
                                title="#{general.formatoFechaUsuario}" size="10"
                                maxdate="#{general.fechaActual}" />
                    <p:message for="fechaTitulo" display="icon"></p:message>
                </h:panelGrid>

                <h:panelGroup>
                    <h:outputLabel value="Tipo de documento:"
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="" styleClass="requiredLabelStyle" />
                </h:panelGroup>
                <h:panelGrid columns="2">
                    <h:outputText value="#{selectedDocumentParam.tipoDocumento.nombre}"
                                  styleClass="outputTextStyle" />
                </h:panelGrid>

                <h:outputText />
                <h:outputText />

                <h:panelGrid columns="1">
                    <h:outputLabel value="Resumen:" for="detalle"
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="" styleClass="requiredLabelStyle" />
                </h:panelGrid>
                <h:panelGrid columns="3">
                    <h:inputTextarea id="detalle"
                                     onkeydown="controlarNroChars(this, 600, true)"
                                     onkeyup="controlarNroChars(this, 600, true)"
                                     value="#{selectedDocumentParam.descripcion}" cols="50" rows="2" />
                    <p:message for="detalle" display="icon"></p:message>

                </h:panelGrid>

                <p:outputPanel layout="block" style="text-align:left"
                               id="outputPanelGuardar">

                    <p:spacer height="0" width="13" />
                    <p:commandButton value="Guardar" id="botonGuardar"
                                     disabled="#{!managedBeanParam.banderaBotonGuardarDocPrueba and !managedBeanParam.banderaBotonEdicionDocPrueba}"
                                     action="#{managedBeanParam.guardarDocumentoCargarPruebas}"
                                     update=":detalleSolicitarPruebasForm, msgs, :entidadesDocsForm, :entidadesDocsForm:nombreEntidadTrabajo, :entidadesDocsForm:tablaDocumentosPnlGrd"
                                     icon="ui-icon-check" process="@form"
                                     oncomplete="handleCompleteSIC(xhr, status, args, documentacionWV, false)" />
                </p:outputPanel>

            </h:panelGrid>

        </h:form>

    </h:panelGrid>
</h:panelGrid>

